Package com.microsoft.sqlserver.jdbc

## Class SQLServerConnectionPoolDataSource

- java.lang.Object
- - com.microsoft.sqlserver.jdbc.SQLServerDataSource
  - - com.microsoft.sqlserver.jdbc.SQLServerConnectionPoolDataSource

All Implemented Interfaces:
  `ISQLServerDataSource`, `java.io.Serializable`, `java.sql.Wrapper`, `javax.naming.Referenceable`, `javax.sql.CommonDataSource`, `javax.sql.ConnectionPoolDataSource`, `javax.sql.DataSource`

Direct Known Subclasses:
  `SQLServerXADataSource`

    public class SQLServerConnectionPoolDataSource
    extends SQLServerDataSource
    implements javax.sql.ConnectionPoolDataSource

Provides physical database connections for connection pool managers. SQLServerConnectionPoolDataSource is typically used in Java Application Server environments that support built-in connection pooling and require a ConnectionPoolDataSource to provide physical connections. For example, J2EE application servers that provide JDBC 3.0 API spec connection pooling.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`SQLServerConnectionPoolDataSource()`

### Method Summary

All Methods Instance Methods Concrete Methods
`javax.sql.PooledConnection` `getPooledConnection()`
`javax.sql.PooledConnection` `getPooledConnection​(java.lang.String user, java.lang.String password)`
`javax.naming.Reference` `getReference()`

### Methods inherited from interface javax.sql.CommonDataSource

`createShardingKeyBuilder, getParentLogger`

### Methods inherited from interface javax.sql.ConnectionPoolDataSource

`createPooledConnectionBuilder, getLoginTimeout, getLogWriter, setLoginTimeout, setLogWriter`

### Methods inherited from interface javax.sql.DataSource

`createConnectionBuilder`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class com.microsoft.sqlserver.jdbc.SQLServerDataSource

`getAccessToken, getApplicationIntent, getApplicationName, getAuthentication, getCancelQueryTimeout, getColumnEncryptionSetting, getConnection, getConnection, getDatabaseName, getDescription, getDisableStatementPooling, getEnablePrepareOnFirstPreparedStatementCall, getEncrypt, getFailoverPartner, getFIPS, getGSSCredentials, getHostNameInCertificate, getInstanceName, getJASSConfigurationName, getKeyStoreAuthentication, getKeyStoreLocation, getLastUpdateCount, getLockTimeout, getLoginTimeout, getLogWriter, getMultiSubnetFailover, getPacketSize, getParentLogger, getPortNumber, getQueryTimeout, getResponseBuffering, getSelectMethod, getSendStringParametersAsUnicode, getSendTimeAsDatetime, getServerName, getServerNameAsACE, getServerPreparedStatementDiscardThreshold, getServerSpn, getSocketTimeout, getSSLProtocol, getStatementPoolingCacheSize, getTransparentNetworkIPResolution, getTrustManagerClass, getTrustManagerConstructorArg, getTrustServerCertificate, getTrustStore, getTrustStoreType, getURL, getUseBulkCopyForBatchInsert, getUser, getWorkstationID, getXopenStates, isWrapperFor, setAccessToken, setApplicationIntent, setApplicationName, setAuthentication, setAuthenticationScheme, setCancelQueryTimeout, setColumnEncryptionSetting, setDatabaseName, setDescription, setDisableStatementPooling, setEnablePrepareOnFirstPreparedStatementCall, setEncrypt, setFailoverPartner, setFIPS, setGSSCredentials, setHostNameInCertificate, setInstanceName, setIntegratedSecurity, setJASSConfigurationName, setKeyStoreAuthentication, setKeyStoreLocation, setKeyStoreSecret, setLastUpdateCount, setLockTimeout, setLoginTimeout, setLogWriter, setMultiSubnetFailover, setPacketSize, setPassword, setPortNumber, setQueryTimeout, setResponseBuffering, setSelectMethod, setSendStringParametersAsUnicode, setSendTimeAsDatetime, setServerName, setServerNameAsACE, setServerPreparedStatementDiscardThreshold, setServerSpn, setSocketTimeout, setSSLProtocol, setStatementPoolingCacheSize, setTransparentNetworkIPResolution, setTrustManagerClass, setTrustManagerConstructorArg, setTrustServerCertificate, setTrustStore, setTrustStorePassword, setTrustStoreType, setURL, setUseBulkCopyForBatchInsert, setUser, setWorkstationID, setXopenStates, toString, unwrap`

### Constructor Detail

#### SQLServerConnectionPoolDataSource

    public SQLServerConnectionPoolDataSource()

### Method Detail

#### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection()
                                                   throws java.sql.SQLException

Specified by:
  `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
Throws:
  `java.sql.SQLException`

#### getPooledConnection

    public javax.sql.PooledConnection getPooledConnection​(java.lang.String user,
                                                          java.lang.String password)
                                                   throws java.sql.SQLException

Specified by:
  `getPooledConnection` in interface `javax.sql.ConnectionPoolDataSource`
Throws:
  `java.sql.SQLException`

#### getReference

    public javax.naming.Reference getReference()

Specified by:
  `getReference` in interface `javax.naming.Referenceable`
Overrides:
  `getReference` in class `SQLServerDataSource`